### Signal

# Gio Application::activate

since: 2.0

#### Declaration

    void
    activate (
      GApplication* self,
      gpointer user_data
    )

#### Description

The ::activate signal is emitted on the primary instance when an activation occurs. See g_application_activate().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0